/*
 *	PROGRAM:	InterBase International support
 *      MODULE:         cs_example.c
 *      DESCRIPTION:    Example module of a character set object.
 *
 */


#include "cs_example.h"

extern USHORT	CV_nc_to_unicode();
extern USHORT	CV_unicode_to_nc();

extern void	CV_convert_init (
CSCONVERT	csptr,
SSHORT		to_cs,
SSHORT		from_cs,
FPTR_SHORT	cvt_fn,
void		*datatable,
void		*datatable2);


USHORT     CS_example_init (csptr, id, dummy)
CHARSET csptr;
SSHORT  id;
SSHORT  dummy;
{
#include "cs_latin1.h"
csptr->charset_version = 40;
csptr->charset_id = id;
csptr->charset_name = "EXAMPLE";
csptr->charset_flags = 0;
csptr->charset_min_bytes_per_char = 1;
csptr->charset_max_bytes_per_char = 1;
csptr->charset_space_length = 1;
csptr->charset_space_character = (BYTE *) " ";
csptr->charset_well_formed = (FPTR_SHORT) NULL;
CV_convert_init (&csptr->charset_to_unicode, CS_UNICODE101, id,
                CV_nc_to_unicode, (void *)to_unicode_map, NULL);
CV_convert_init (&csptr->charset_from_unicode, id, CS_UNICODE101,
                CV_unicode_to_nc, (void *)from_unicode_mapping_array, (void *)from_unicode_map);
return 0;
}


